<template>
  <div class="win-bidding">
    <ol class="breadcrumb">
      <i class="icon-chevron-sign-left newBackBtn" @click="() => { $router.go(-1) }"></i>
      <li>业务管理</li>
      <li>保证金退款确认</li>
    </ol>
    <up-down-drag>
      <div slot="top">
        <business-view></business-view>
      </div>
      <div slot="bar">
        <div>
          保证金退款确认
        </div>
      </div>
      <div slot="bottom">
        <div class="tempalte-content" style="min-height: auto; padding: 0px 20px ">
          <refund-deposit-content ref="refundDepositContent"></refund-deposit-content>
          <div class="submit-btn">
            <el-button type="primary" @click="onSubmit" style="width: 150px;">确定</el-button>
            <el-button @click="() => { $router.go(-1) }" style="width: 150px;">取消</el-button>
          </div>
        </div>
      </div>
    </up-down-drag>
  </div>
</template>

<script>
module.exports = {
  components: {
    RefundDepositContent: httpVueLoader('./components/RefundDepositContent.vue'),
    BusinessView: httpVueLoader('./components/BusinessView.vue')
  },
  data() {
    return {

    }
  },
  methods: {
    onSubmit() {
      this.$refs.refundDepositContent.getSubmit().then(data => {
        const { taskId, businessKey } = this.$route.query
        const params = {
          Loading: true,
          ...data,
          taskId,
          businessBasicInfoId: businessKey
        }
        this.$api.businessManage.businessRefundDepositSubmit(params).then(() => {
          this.$message.success('保证金退款确认成功')
          this.$router.push({ path: '/businessManage' })
        })
      })
    }
  },
}
</script>

<style scoped>

</style>
